Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2281 - Ping does not work for odd sized '-s' on little-endian targets
Summary: Ping does not work for odd sized '-s' on little-endian targets
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netkit-base
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-20 03:09 UTC by tlarsen
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-05 17:27:22 UTC


Attachments (Terms of Use)

Description tlarsen 1999-04-20 03:09:42 UTC
In the in_cksum routine in ping.c, the 'if' case to handle pings of odd
length incorrectly handles the final byte. The code in ping.c will work
for big-endian targets, but fails for little-endian builds.

For example:   ping -s 513 localhost

has 100% data loss, where ping -s 512 localhost does not, on x86.

Comment 1 Jeff Johnson 1999-05-05 17:27:59 UTC
Fixed (by porting Alexey Kuznetsov's version from iputils) in
netkit-base-0.10-30.


Note You need to log in before you can comment on or make changes to this bug.